Bug 1693101 (CVE-2018-20815)

Summary: CVE-2018-20815 QEMU: device_tree: heap buffer overflow while loading device tree blob
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ailan, amit, areis, armbru, berrange, cfergeau, dbecker, dmoppert, drjones, dwmw2, imammedo, itamar, jen, jferlan, jforbes, jjoyce, jpadman, jschluet, kbasil, knoel, lhh, lpeer, m.a.young, mburns, mkenneth, mrezanin, mst, pbonzini, qzhang, rbalakri, rjones, rkrcmar, robinlee.sysu, sclewis, slinaber, slopezpa, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A heap buffer overflow issue was found in the load_device_tree() function of QEMU, which is invoked to load a device tree blob at boot time. It occurs due to device tree size manipulation before buffer allocation, which could overflow a signed int type. A user/process could use this flaw to potentially execute arbitrary code on a host system with privileges of the QEMU process.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:52:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1693112, 1693113, 1693114, 1693115, 1693116, 1693117, 1693118, 1693120, 1693121, 1693122, 1693123, 1693124, 1693173, 1701882    
Bug Blocks: 1679919    

Description Prasad J Pandit 2019-03-27 08:00:08 UTC
A heap buffer overflow issue was found in the load_device_tree() function
of QEMU, which is invoked to load device tree blob at boot time.
It occurs due to device tree size manipulation before buffer allocation,
which could overflow a signed int type.

A user/process could use this flaw to potentially execute arbitrary
code on a host system with privileges of the QEMU process.

Upstream patch:
---------------
  -> https://git.qemu.org/?p=qemu.git;a=commitdiff;h=da885fe1ee8b4589047484bd7fa05a4905b52b17
  -> https://git.qemu.org/?p=qemu.git;a=commitdiff;h=065e6298a75164b4347682b63381dbe752c2b156

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2019/03/27/1

Comment 1 Prasad J Pandit 2019-03-27 08:29:42 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1693117]


Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1693118]

Comment 5 Prasad J Pandit 2019-03-29 04:17:15 UTC
Acknowledgments:

Name: Kurtis Miller (nccgroup.com)

Comment 13 errata-xmlrpc 2019-05-14 18:13:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1175 https://access.redhat.com/errata/RHSA-2019:1175

Comment 16 errata-xmlrpc 2019-07-02 19:45:09 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 14.0 (Rocky)

Via RHSA-2019:1667 https://access.redhat.com/errata/RHSA-2019:1667

Comment 18 errata-xmlrpc 2019-07-10 09:18:50 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2019:1723 https://access.redhat.com/errata/RHSA-2019:1723

Comment 19 errata-xmlrpc 2019-07-10 13:03:09 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 13.0 (Queens)

Via RHSA-2019:1743 https://access.redhat.com/errata/RHSA-2019:1743

Comment 21 errata-xmlrpc 2019-07-29 15:13:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1881 https://access.redhat.com/errata/RHSA-2019:1881

Comment 22 errata-xmlrpc 2019-07-30 10:39:22 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7
  Red Hat Virtualization Engine 4.2
  Red Hat Virtualization Engine 4.3

Via RHSA-2019:1968 https://access.redhat.com/errata/RHSA-2019:1968

Comment 23 errata-xmlrpc 2019-08-15 14:09:19 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2019:2507 https://access.redhat.com/errata/RHSA-2019:2507

Comment 24 errata-xmlrpc 2019-08-22 09:18:42 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7
  Red Hat Virtualization Engine 4.3

Via RHSA-2019:2553 https://access.redhat.com/errata/RHSA-2019:2553